LightWayTxtTextInternal::State Struct Reference

Internal: the state of a LightWayTxtText. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_version
| the file version
int | m_numPages
int | m_actualPage
std::vector< Font > | m_fontsList
| the list of fonts
std::vector< Font > | m_auxiFontsList
| the auxiliar list of fonts
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph
std::multimap< long, PLC > | m_plcMap
| the plc map
HFZone | m_header
| header
HFZone | m_footer
| footer

## Detailed Description

Internal: the state of a LightWayTxtText.

## Constructor & Destructor Documentation

## State()

LightWayTxtTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actualPage

int LightWayTxtTextInternal::State::m_actualPage

Referenced by State().

## m_auxiFontsList

std::vector<Font> LightWayTxtTextInternal::State::m_auxiFontsList

the auxiliar list of fonts

Referenced by State().

## m_fontsList

std::vector<Font> LightWayTxtTextInternal::State::m_fontsList

the list of fonts

Referenced by State().

## m_footer

HFZone LightWayTxtTextInternal::State::m_footer

footer

Referenced by State().

## m_header

HFZone LightWayTxtTextInternal::State::m_header

header

Referenced by State().

## m_numPages

int LightWayTxtTextInternal::State::m_numPages

Referenced by State().

## m_paragraphsList

std::vector<Paragraph> LightWayTxtTextInternal::State::m_paragraphsList

the list of paragraph

Referenced by State().

## m_plcMap

std::multimap<long, PLC> LightWayTxtTextInternal::State::m_plcMap

the plc map

Referenced by State().

## m_version

int LightWayTxtTextInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- LightWayTxtText.cxx